\tikzstyle{commit}=[draw,circle]

\begin{tikzpicture}[scale=0.5]
	\node[commit, fill=green!60] (C1)at(-2,0){C1};
	\node[commit, fill=green!60] (C2)at(-2, -2){C2};
	\node[commit, fill=green!60] (C3)at(-2, -4){C3};
	\node[commit, fill=green!60] (C4)at(-2, -6){C4};
	
	\node[commit, fill=green!60] (C1')at(2,0){C1};
	\node[commit, fill=green!60] (C2')at(2,-2){C2};
	\node[commit, fill=green!60] (C3')at(2,-4){C3};
	\node[commit, fill=green!60] (C4')at(2,-6){C4'};
	
	\draw[->, >=latex] (C2) -- (C1) ;
	\draw[->, >=latex] (C3) -- (C2) ;
	\draw[->, >=latex] (C4) -- (C3) ;
	
	\draw[->, >=latex] (C2') -- (C1') ;
	\draw[->, >=latex] (C3') -- (C2') ;
	\draw[->, >=latex] (C4') -- (C3') ;
\end{tikzpicture}
